edu.isi.pegasus.planner.dax

## Class Invoke

- java.lang.Object
- - edu.isi.pegasus.planner.dax.Invoke

    public class Invoke
    extends java.lang.Object

The Notification invoke object for the Dax API

Version:
  $Revision$
Author:
  gmehta

### Nested Class Summary

Nested Classes
`static class` `Invoke.WHEN` WHEN To INVOKE

### Field Summary

Fields
`protected java.lang.String` `mWhat` What to invoke
`protected Invoke.WHEN` `mWhen` WHen to Invoke

### Constructor Summary

Constructors
Constructor and Description
`Invoke(Invoke.WHEN when)` Crete a new Invoke object
`Invoke(Invoke.WHEN when, java.lang.String what)` Create a new Invoke object
`Invoke(Invoke i)` Copy Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`Invoke` `clone()` Create a copy of this Invoke object
`java.lang.String` `getWhat()` Get what to invoke
`java.lang.String` `getWhen()` Get when to Invoke
`Invoke` `setWhat(java.lang.String what)` Set what executable to invoke and how
`Invoke` `setWhen(Invoke.WHEN when)` Set when to invoke
`java.lang.String` `toString()` Returns the object as String
`void` `toXML(XMLWriter writer)`
`void` `toXML(XMLWriter writer, int indent)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mWhen

    protected Invoke.WHEN mWhen

WHen to Invoke

#### mWhat

    protected java.lang.String mWhat

What to invoke

### Constructor Detail

#### Invoke

    public Invoke(Invoke i)

Copy Constructor

Parameters:
  `i` -

#### Invoke

    public Invoke(Invoke.WHEN when)

Crete a new Invoke object

Parameters:
  `when` -

#### Invoke

    public Invoke(Invoke.WHEN when,
                  java.lang.String what)

Create a new Invoke object

Parameters:
  `when` -
  `what` -

### Method Detail

#### getWhen

    public java.lang.String getWhen()

Get when to Invoke

Returns:

#### setWhen

    public Invoke setWhen(Invoke.WHEN when)

Set when to invoke

Parameters:
  `when` -
Returns:

#### getWhat

    public java.lang.String getWhat()

Get what to invoke

Returns:

#### setWhat

    public Invoke setWhat(java.lang.String what)

Set what executable to invoke and how

Parameters:
  `what` -
Returns:

#### clone

    public Invoke clone()

Create a copy of this Invoke object

Overrides:
  `clone` in class `java.lang.Object`
Returns:

#### toXML

    public void toXML(XMLWriter writer)

#### toXML

    public void toXML(XMLWriter writer,
                      int indent)

#### toString

    public java.lang.String toString()

Returns the object as String

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the description